---
kind: pipeline
type: docker
name: compliance

trigger:
  branch:
    - main
  event:
    - push
    - pull_request

steps:
  - name: lint
    image: node:20.12.2@sha256:844b41cf784f66d7920fd673f7af54ca7b81e289985edc6cd864e7d05e0d133c
    commands:
      - npm install
      - npm run lint
  - name: build
    image: node:20.12.2@sha256:844b41cf784f66d7920fd673f7af54ca7b81e289985edc6cd864e7d05e0d133c
    environment:
      NODE_OPTIONS: '--openssl-legacy-provider'
    commands:
      - npm run build

---
kind: pipeline
type: docker
name: deploy

trigger:
  branch:
    - main
  event:
    - push

depends_on:
  - compliance

steps:
  - name: build
    image: node:20.12.2@sha256:844b41cf784f66d7920fd673f7af54ca7b81e289985edc6cd864e7d05e0d133c
    environment:
      NODE_OPTIONS: '--openssl-legacy-provider'
    commands:
      - npm install
      - npm run build
  - name: deploy
    image: drillster/drone-rsync@sha256:f4f90f96d0714d26c93c6c4c8f99bc4a7aa1cbf4d7bb772fcfac2ec7be44a331
    settings:
      hosts: [ "www.wtf-eg.net" ]
      user: onboarding
      key:
        from_secret: SSH_KEY
      source: ./dist/
      target: /srv/www/onboarding.wtf-eg.de/
      recursive: true
---
kind: signature
hmac: c3a0f95e44c6b1fd4e1de228a3c9a55f9edb5e189deb728b681bd7dc55b39565

...
